Bug 208681 - [patch] CARP preemption explanation is misleading
Summary: [patch] CARP preemption explanation is misleading
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sevan Janiyan
URL: https://reviews.freebsd.org/D15519
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-04-10 19:25 UTC by Philipp Erbelding
Modified: 2018-05-22 14:34 UTC (History)
2 users (show)

See Also:


Attachments
clarified proposal for the preemption note (1.30 KB, text/plain)
2016-04-10 19:25 UTC, Philipp Erbelding
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Erbelding 2016-04-10 19:25:23 UTC
Created attachment 169161 [details]
clarified proposal for the preemption note

The handbook states in a note on CARP:
> If preemption has been enabled, hostc.example.org might not release the virtual IP
> address back to the original master server.

The preemption setting does the opposite of what I would interpret this sentence to convey. Preemption needs to be enabled in order for the system with a lower advskew value (the original master) to take the address back.

In writing this, I wonder if it also needs a sentence on where to enable preemption (master, backup or both...). I'd assume there are very few scenarios, where different settings on nodes in the same group would be useful or necessary.

I have attached a proposed change for this note.
Comment 1 Palle Girgensohn freebsd_committer 2016-11-29 21:40:35 UTC
I agree fully, the man page's text is the exact opposite, or it is very hard to interpret, which is just as bad. Please commit this, someone. :)
Comment 2 commit-hook freebsd_committer 2018-05-22 14:34:16 UTC
A commit references this bug:

Author: sevan
Date: Tue May 22 14:33:42 UTC 2018
New revision: 51703
URL: https://svnweb.freebsd.org/changeset/doc/51703

Log:
  CARP preemption explanation is misleading

  PR:		208681
  Submitted by:	philipp AT copythat de
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D15519

Changes:
  head/en_US.ISO8859-1/books/handbook/advanced-networking/chapter.xml
Comment 3 Sevan Janiyan freebsd_committer 2018-05-22 14:34:45 UTC
Committed, thank you for the patch.